Skip to main content

Endpoint

POST /v1/llmstxt

Authentication

This endpoint requires authentication using a Bearer token. Include your API key in the Authorization header:
Authorization: Bearer YOUR_API_KEY

Request Body

url
string
required
The URL to generate LLMs.txt from
maxUrls
integer
default:2
Maximum number of URLs to analyze
showFullText
boolean
default:false
Include full text content in the response

Response

success
boolean
Indicates whether the LLMs.txt generation job was successfully started
id
string
The unique identifier of the LLMs.txt generation job. Use this to check the status.

Examples

curl -X POST https://api.firecrawl.dev/v1/llmstxt \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -d '{
    "url": "https://example.com",
    "maxUrls": 5,
    "showFullText": true
  }'

Error Responses

400
object
Invalid Request - Invalid parameters provided.
{
  "success": false,
  "error": "Invalid parameters provided"
}

Build docs developers (and LLMs) love